com.sun.grid.ca

## Class InitCAParameters.ParamDef

- java.lang.Object
- - com.sun.grid.ca.InitCAParameters.ParamDef

- Enclosing class:
    InitCAParameters

      public static class InitCAParameters.ParamDef
      extends java.lang.Object

  Defines a parameter for the init ca command.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check(java.lang.String value)` Check the validity of a param value
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDefaultValue()` Get the default value of this param
    `java.lang.String` | `getDescription()` Get the description of this parameter
    `java.lang.String` | `getLocalizedName()` Get the localized name of this parameter
    `java.lang.Integer` | `getMaxLen()` Get the maximum number of characters for this parameter
    `java.lang.Integer` | `getMinLen()` Get the minimum number of character for this parameter
    `java.lang.String` | `getName()` Get name of this parameter
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get name of this parameter
      Returns:
        name of this parameter

    - #### getLocalizedName

          public java.lang.String getLocalizedName()

      Get the localized name of this parameter
      Returns:
        the localized name of this parameter

    - #### getDescription

          public java.lang.String getDescription()

      Get the description of this parameter
      Returns:
        the description

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Get the default value of this param
      Returns:
        the default value of this param

    - #### getMinLen

          public java.lang.Integer getMinLen()

      Get the minimum number of character for this parameter
      Returns:
        minimum number of character for this parameter

    - #### getMaxLen

          public java.lang.Integer getMaxLen()

      Get the maximum number of characters for this parameter
      Returns:
        maximum number of characters for this parameter

    - #### check

          public void check(java.lang.String value)
                     throws GridCAException

      Check the validity of a param value
      Parameters:
        `value` -
      Throws:
        `GridCAException`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`